@charset "utf-8";

#layer_select_back{
    display:none;
    position:fixed;
    top:0;
    left:0;
    z-index:990;
    width:100%;
    height:100%;
    background-color:#000;
    filter:alpha(opacity=50);
    -khtml-opacity:0.5;
    -moz-opacity:0.5;
    opacity:0.5;
}
#layer_select{
    display:none;
    position:fixed;
    top:50%;
    left:50%;
    transform: translate(-50%, -50%);
    z-index:995;
    width:60%;
    max-width: 80%;
    height:auto;
    max-height: 70%;
    overflow-x: hidden;
    overflow-y: auto;
    background-color:#fff;
    border:1px solid #ddd;
    padding: 2rem;
    box-sizing: border-box;
}
#layer_select_back.open {display: block;}
#layer_select.open {display: block;}

#layer_select .slt_option_obj {
    position: relative;
    height: 40px;
    max-height: 40px;
    line-height: 40px;
    white-space: nowrap;
    padding: 0 10px;
    box-sizing: border-box;
    border:1px solid #ddd;
    margin-bottom: 10px;
    border-radius:5px;
}
#layer_select .slt_option_obj i{
    position: absolute;
    transform: translateY(-50%);
    top:50%;
    right: 10px;
}
#layer_select .slt_option_obj:last-of-type{
    margin-bottom: 0;
}
#layer_select .slt_option_obj:hover {background-color: #ddd;}
#layer_select .slt_option_obj.selected {
    box-shadow: 0 0 0 1px #f06e58 inset;
    color: #f06e58;
    font-weight: 600;
}